MWAWParserState Class Reference

a class to define the parser state More...

`#include <MWAWParser.hxx>`

## Public Types

enum | Type { Graphic , Presentation , Spreadsheet , Text }
| the parser state type More...

## Public Member Functions

| MWAWParserState (Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| Constructor.
| ~MWAWParserState ()
| destructor
MWAWListenerPtr | getMainListener ()
| returns the main listener

## Public Attributes

Type | m_type
| the state type
MWAWDocument::Kind | m_kind
| the document kind
MWAWInputStreamPtr | m_input
| the input
MWAWHeader * | m_header
| the header
MWAWRSRCParserPtr | m_rsrcParser
| the resource parser
MWAWPageSpan | m_pageSpan
| the actual document size
MWAWFontConverterPtr | m_fontConverter
| the font converter
MWAWFontManagerPtr | m_fontManager
| the font manager
MWAWGraphicListenerPtr | m_graphicListener
| the graphic listener
MWAWListManagerPtr | m_listManager
| the list manager
MWAWPresentationListenerPtr | m_presentationListener
| the presentation listener
MWAWSpreadsheetListenerPtr | m_spreadsheetListener
| the spreadsheet listener
MWAWTextListenerPtr | m_textListener
| the text listener
int | m_version
| the actual version
libmwaw::DebugFile | m_asciiFile
| the debug file

## Private Member Functions

| MWAWParserState (MWAWParserState const &orig)=delete
MWAWParserState & | operator= (MWAWParserState const &orig)=delete

## Detailed Description

a class to define the parser state

## Member Enumeration Documentation

## Type

enum MWAWParserState::Type

the parser state type

Enumerator
Graphic |
Presentation |
Spreadsheet |
Text |

## Constructor & Destructor Documentation

## MWAWParserState() [1/2]

MWAWParserState::MWAWParserState | ( | MWAWParserState::Type | type,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

Constructor.

Referenced by MWAWParserState(), and operator=().

## ~MWAWParserState()

MWAWParserState::~MWAWParserState | ( |  | ) |

destructor

## MWAWParserState() [2/2]

MWAWParserState::MWAWParserState | ( | MWAWParserState const & | orig | ) |

private delete

## Member Function Documentation

## getMainListener()

MWAWListenerPtr MWAWParserState::getMainListener | ( |  | ) |

returns the main listener

Referenced by ~MWAWParserState().

## operator=()

MWAWParserState & MWAWParserState::operator= | ( | MWAWParserState const & | orig | ) |

private delete

## Member Data Documentation

## m_asciiFile

libmwaw::DebugFile MWAWParserState::m_asciiFile

the debug file

Referenced by MWAWParserState(), ClarisWksStruct::readIntZone(), and ClarisWksStruct::readStructZone().

## m_fontConverter

MWAWFontConverterPtr MWAWParserState::m_fontConverter

the font converter

Referenced by MWAWParserState().

## m_fontManager

MWAWFontManagerPtr MWAWParserState::m_fontManager

the font manager

Referenced by MWAWParserState().

## m_graphicListener

MWAWGraphicListenerPtr MWAWParserState::m_graphicListener

the graphic listener

Referenced by getMainListener(), and MWAWParserState().

## m_header

MWAWHeader* MWAWParserState::m_header

the header

Referenced by MWAWParserState().

## m_input

MWAWInputStreamPtr MWAWParserState::m_input

the input

Referenced by MWAWParserState(), ClarisWksStruct::readIntZone(), and ClarisWksStruct::readStructZone().

## m_kind

MWAWDocument::Kind MWAWParserState::m_kind

the document kind

Referenced by MWAWParserState().

## m_listManager

MWAWListManagerPtr MWAWParserState::m_listManager

the list manager

Referenced by MWAWParserState().

## m_pageSpan

MWAWPageSpan MWAWParserState::m_pageSpan

the actual document size

Referenced by MWAWParserState().

## m_presentationListener

MWAWPresentationListenerPtr MWAWParserState::m_presentationListener

the presentation listener

Referenced by getMainListener(), and MWAWParserState().

## m_rsrcParser

MWAWRSRCParserPtr MWAWParserState::m_rsrcParser

the resource parser

Referenced by MWAWParserState().

## m_spreadsheetListener

MWAWSpreadsheetListenerPtr MWAWParserState::m_spreadsheetListener

the spreadsheet listener

Referenced by getMainListener(), and MWAWParserState().

## m_textListener

MWAWTextListenerPtr MWAWParserState::m_textListener

the text listener

Referenced by getMainListener(), and MWAWParserState().

## m_type

Type MWAWParserState::m_type

the state type

Referenced by getMainListener(), and MWAWParserState().

## m_version

int MWAWParserState::m_version

the actual version

Referenced by MWAWParserState().

The documentation for this class was generated from the following files:

- MWAWParser.hxx
- MWAWParser.cxx